import { BaseDevice } from "./base.device";
import { YzWebCanShare } from "../operation/share";
import { YzToken } from "../operation/token";
import { YzUser } from "../operation/user";
import { YzMediaCamera, YzMediaCameraParam } from "../operation/media.camera";
import { QRcode, YzQrcodeParam } from "../operation/media.qrcode";
import { YzContactUser, YzContactUserParam } from "../operation/contact.users";
import { YzConcatUserInfoParam } from "../operation/contact.userinfo";
import { YzMediaPhoto, YzMediaPhotoParam } from "../operation/media.photo";
import { YzNavigation, YzNavigationBarTitle, YzNavigationBarRightItems } from "../operation/navigation";
import { YzMediaLocation, YzMediaLocationParam } from "../operation/media.location";
import { YzMediaWifiLocation, YzMediaWifiLocationParam } from "../operation/media.wifi.location";
import { YzMediaWifiInfo, YzMediaWifiInfoParam } from "../operation/media.wifi.info";
import { YzMediaWifiMac, YzMediaWifiMacParam } from "../operation/media.wifi.mac";
import { YzFaceCollection, YzFaceCollectionParam } from "../operation/face.collection";
import { YzFaceCompare, YzFaceCompareParam } from "../operation/face.compare";
import { YzPayWechat, YzPayWechatParam } from "../operation/pay.wechat";
import { YzAlipay, YzAlipayParam } from "../operation/pay.alipay";
import { YzReadWithNumber, YzReadWithNumberParam } from "../operation/read.with.number";
import { YzDeviceInfo, YzDeviceInfoParam } from "../operation/device.info";
import { DeviceOption } from "../device/device.option";
import { YzFileBrowser } from "../operation/fileBrowser";
import { YzDownloadBrowserParam } from "../operation";
import { DeviceType } from "./device.type";
export declare class YzMobile extends BaseDevice {
    constructor(option?: DeviceOption);
    getType(): DeviceType;
    getUser(): Promise<YzUser>;
    auth(): Promise<YzToken>;
    apiRegister(url?: string): void;
    setNavigationBarRightItems(param?: YzNavigationBarRightItems): void;
    setNavigationBarTitle(param?: YzNavigationBarTitle): void;
    openWindow(param?: YzNavigation): void;
    setWebCanShare(param?: YzWebCanShare): void;
    openMediaCameraAsync(param?: YzMediaCameraParam): Promise<YzMediaCamera>;
    scanQrCodeAsync(param?: YzQrcodeParam): Promise<QRcode>;
    chooseContactsAsync(param?: YzContactUserParam): Promise<Array<YzContactUser>>;
    getContactsInfoAsync(param?: YzConcatUserInfoParam): void;
    uploadPhotoAsync(param?: YzMediaPhotoParam): Promise<YzMediaPhoto>;
    userLocationAsync(param?: YzMediaLocationParam): Promise<YzMediaLocation>;
    userLocationWifiAsync(param?: YzMediaWifiLocationParam): Promise<YzMediaWifiLocation>;
    getWifiInfoAsync(param?: YzMediaWifiInfoParam): Promise<YzMediaWifiInfo>;
    getWifiMacAsync(param?: YzMediaWifiMacParam): Promise<YzMediaWifiMac>;
    faceCollectionAsync(param?: YzFaceCollectionParam): Promise<YzFaceCollection>;
    faceCompareAsync(param?: YzFaceCompareParam): Promise<YzFaceCompare>;
    wechatPayAsync(param?: YzPayWechatParam): Promise<YzPayWechat>;
    aliPayAsync(param?: YzAlipayParam): Promise<YzAlipay>;
    openReadWithTimer(param?: YzReadWithNumberParam): Promise<YzReadWithNumber>;
    getDeviceInfo(param?: YzDeviceInfoParam): Promise<YzDeviceInfo>;
    fileBrowser(param?: YzFileBrowser): Promise<any>;
    downloadByBrowser(param?: YzDownloadBrowserParam): Promise<any>;
}
